﻿Imports System.ComponentModel.DataAnnotations
Imports System.Runtime.Serialization

Public Class TestModel

    Public Enum ConnectionType
        DataStore
        Folder
        Queue
    End Enum

    <Required(ErrorMessage:="Please supply a Process Name")>
    <Display(Name:="Process Name")>
    <StringLength(10, MinimumLength:=2, ErrorMessage:="Please supply a valid Process Name (between 2 and 10 characters long)")>
    Public Property ProcName As String

    <Display(Name:="Process Description")>
    <StringLength(100)>
    Public Property ProcDescription As String

    Public Property Children As IEnumerable(Of ModelChild)

    Public Sub New(_ProcName As String, _ProcDesc As String)

        ProcName = _ProcName
        ProcDescription = _ProcDesc

    End Sub

    Public Sub New()

    End Sub

    Public Function Clone() As TestModel
        Return New TestModel(ProcName, ProcDescription) With {.Children = Children}
    End Function

End Class
